Get Group Meter
curl --request GET \
--url https://app.plugchoice.com/api/v3/sites/{site}/groups/{siteGroup}/meter \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/groups/{siteGroup}/meter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/groups/{siteGroup}/meter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"id": 123,
"type": "<string>",
"latest_data": {
"l1": 123,
"l2": 123,
"l3": 123,
"updated_at": "<string>"
},
"power": {
"value": 123,
"unit": "<string>",
"current": {
"l1": 123,
"l2": 123,
"l3": 123
},
"voltage": {
"l1": 123,
"l2": 123,
"l3": 123
},
"updated_at": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}Groups
Get Group Meter
GET
/
v3
/
sites
/
{site}
/
groups
/
{siteGroup}
/
meter
Get Group Meter
Returns the meter readings for the specified group. Returns a
404 error if no meter is attached to the group.
string
required
The UUID of the location.
integer
required
The ID of the group.
Response
string
The unique UUID of the meter.
integer
The numeric ID of the meter.
string
The meter type.
object
object
Calculated power information for the meter. May be
null when no reading is available, or a string message when power information cannot be retrieved for the meter.Show power
Show power
number
Net active power in watts (positive when consuming, negative when exporting).
string
The unit of the
value field. Always W.object
object
string
Timestamp of the power reading.
string
ISO 8601 timestamp of when the meter was created.
string
ISO 8601 timestamp of when the meter was last updated.
⌘I